SAYONARA-QUERY(1)

NAME
sayonara-query - obtain information about track and player state

SYNOPSIS
sayonara-query attribute

DESCRIPTION
sayonara-query is intended to obtain track information such as title or artist. Another functionality of this tool is obtaining the current player state such as current volume or the current position

OPTIONS

album
    Album of current track

albumArtist
    Album artist of current track

artist
    Artist of current track

discnumber
    Discnumber of current track

genre
    Genre of current track

rating
    Track rating number

rating-stars
    Track rating with asterisk characters

title
    Track title

trackNumber
    Track number

artUrl
    Url of current cover art

length
    Track length

bitrate
    Track bitrate

filesize
    Track filesize

year
    Track year

length-sec
    Track length in seconds

length-str
    Track length

pos

  Current position

pos-sec
    Current position in seconds

progress
    Current progress [0-1]

status
    Current playback status

volume
    Current volume

BUGS
Please file in new bug reports at https://gitlab.com/luciocarreras/sayonara-player

AUTHOR
Michael Lugmair (sayonara-player@posteo.org)